vasanth
I'm new here

Multiple Version of same Jar

Dear All,

I have the task of file copy. So I have downloaded the apache commons-net (3.1) from the net. I have developed the Module using the 3.1 commons-net.

But fs-webrt.jar has commons-net jar (may be 2.1). After deploying the module to the server, My module code invokes FTPClient from  fs-webrt.jar's commons-net not from the Module (commons-net 3.1). Many methods are missing in the commons-net 2.1 version.

Is there any way resolve the jar version ?? or Is there any way to tell the classloader to load the Modules commons-net jar ??

Thank You,

Vasandharaj.

Labels (1)
0 Kudos
2 Replies
feddersen
Community Manager
Community Manager

Re: Multiple Version of same Jar

If you don't need any dependency from the fs-webrt.jar, you can simple remove it from the generated .war file before you deploy it to your servlet container.

0 Kudos
philippr
Returning Spectator

Re: Multiple Version of same Jar

Hi Christoph,

do you have an overview of all the libs and the used version from the fs-webrt.jar (FS-Server Version 5.1.416, and newest 5.2.xxx)? And why is the fs-webrt.jar generated into the .war file, when it isn't needed?

Thank you,

Philipp

0 Kudos